package com.gogame.minesweeper

import android.app.Application
import android.content.Context
import com.thinkup.core.api.TUSDK
import com.up.uploadlibrary.UpLoadManager

class App : Application() {

    companion object {
        private lateinit var instance: App

        fun getInstance(): App = instance

        fun getContext(): Context = instance.applicationContext
    }

    override fun onCreate() {
        super.onCreate()
        // 上传
        UpLoadManager.init(context = this, tag = "PRApp_minesweeper_task") { _, _ -> }
        initAd()
    }

    private fun initAd() {
        TUSDK.init(this,"h692ffae5586bf","a764e3497a06ccd54a03aef53f022ef74")
    }
}
